Subject: Re: [MEXT] CoA==HoA test (Was: Re: Document Shepherd review of draft-ietf-mext-rfc3775bis-05)

From: "Laganier, Julien" <[email-masked]>
Date: Tue, 4 May 2010 08:38:51 -0700

Folks,

Laganier, Julien wrote:
> 
> Devarapalli, Vijay wrote:
> >
> > Laganier, Julien wrote:
> >
> > > [...]
> > >
> > > - Remove the HoA == CoA test as sufficient condition for deregistration.
> > > If we go this way, we also have to specify what to do when the HA
> > > receives a binding with HoA == CoA, we can't just remove the test alone.
> > > Since you're in favor of removing this test, what would you suggest the HA 
> > > does when it receives a BU with non-zero lifetime and set CoA == HoA? Send 
> > > an  error? Deregister the binding?
> >
> > We had discussed this too. The HA is supposed to send a binding ack
> > with error status if the HoA is set to CoA and the lifetime is not zero.
> > I don't have access to my email archive right now (had to change
> > email servers four months ago). I forgot what error status we had decided on.
> 
> OK.
> 
> Charlie also pointed out to an earlier conclusion but I couldn't find
> anything in the issue tracker. I personally don't care which way to go,
> but we need all cases to be covered in 3775bis.
> 
> If we go the way you suggest we concluded earlier, we need to agree on
> text and choose error code.
> 
> What are other people on the list thinking?

Is nobody thinking of anything? :-)

Vijay, would you care to propose some text so that we can close the issue?

--julien

---

From: <[email-masked]>
Date: Tue, 4 May 2010 18:12:44 +0200

Inline:

>From 3775 only perspective:
Isnt the case of an MN sending a BU with HoA==CoA and lifetime!=0 an
anomaly? 
However it would help if the MN received an error response from the HA as
Vijay suggested. So if Vijay can propose the error code and associated text
you could close the issue.

-Raj

---

From: "Laganier, Julien" <[email-masked]>
Date: Tue, 11 May 2010 12:59:40 -0700

[email-masked] 
> >>>> does when it receives a BU with non-zero lifetime and set CoA ==
> >>>> HoA? Send an  error? Deregister the binding?
> >>>
> However it would help if the MN received an error response from the HA
> as Vijay suggested. So if Vijay can propose the error code and associated
> text you could close the issue.

Indeed.

Vijay, can you send text to the list?

--julien

---

From: "Devarapalli, Vijay" <[email-masked]>
Date: Wed, 12 May 2010 14:05:12 -0500

Hello,

Here are the text changes. In section 9.5.1, replace

   o  If the Lifetime specified in the Binding Update is zero or the
      specified care-of address matches the home address for the
      binding, then this is a request to delete the cached binding for
      the home address.  

with 

   o  If the Lifetime specified in the Binding Update is zero, then 
      this is a request to delete the cached binding for the home 
      address.

Add the following text to section 9.5.1.

  If the Lifetime specified in the Binding Update is not zero and if
  the home address in the Home Address Destination Option is the same
  as the Care-of Address in the Binding Update, then the receiving node
  MUST treat this Binding Update as invalid and respond with a Binding
  Acknowledgement with status code TBA (Invalid Care-of Address).

And add the following to the IANA considerations section under "Status Code".

  TBA Invalid Care-of Address.

I couldn't map this error condition to any of the existing status codes. So I defined a new one.
FYI, this change is not backward compatible.

Vijay

---

From: "Laganier, Julien" <[email-masked]>
Date: Tue, 25 May 2010 15:48:04 -0700

Thanks Vijay -

Folks, please comment whether or not you agree with the proposal from Vijay ASAP -- we need to move forward with publication of RFC3775 bis.

--julien

> -----Original Message-----
> From: Devarapalli, Vijay [mailto:[email-masked]]
> Sent: Wednesday, May 12, 2010 12:05 PM
> To: Laganier, Julien; Perkins, Charles
> Cc: [email-masked]; [email-masked]; draft-ietf-
> [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [MEXT] CoA==HoA test (Was: Re: Document Shepherd review of
> draft-ietf-mext-rfc3775bis-05)
> 
> Hello,
>

---

From: Sri Gundavelli <[email-masked]>
Date: Thu, 27 May 2010 16:15:58 -0700

Agree with the below proposed text.

Sri

On 5/25/10 3:48 PM, "Laganier, Julien" <[email-masked]> wrote:

> Thanks Vijay -
> 
> Folks, please comment whether or not you agree with the proposal from Vijay
> ASAP -- we need to move forward with publication of RFC3775 bis.
> 
> --julien
> 
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext